{% extends 'form.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle title %}

{% block pageActions %}
    {{ macro.backButton('email_template_index') }}
{% endblock %}

{% block pageForm %}
    {{ form_start(form) }}

    {{ form.category is defined ? form_row(form.category) : '' }}
    {{ form.name is defined ? form_row(form.name) : '' }}
    {{ form.type is defined ? form_row(form.type) : '' }}

    {{ form_row(form.format) }}
    {{ form.subject is defined ? form_row(form.subject) : '' }}
    {{ form_label(form.content) }}
    <button type="button"
            class="btn btn-outline-info borderless float-end"
            data-bs-toggle="popover"
             title="Liste des variables"
            data-html="true"
            data-bs-content="{{ include('include/_mailing_info.html.twig') }}">Variables
    </button>
    {{ form_errors(form.content) }}
    {{ form_widget(form.content) }}

    {% if form.isAttachment is defined %}
        <div class="mt-2">
            {{ form_row(form.isAttachment) }}
        </div>
        {% if email_template.category == 'invitation' %}
            {{ include('include/_attachment_warning.html.twig', { 'invitation_category' : ' d\'invitation'}) }}
        {% else %}
            {{ include('include/_attachment_warning.html.twig', { 'invitation_category' : ' de convocation'}) }}
        {% endif %}
    {% endif %}
    <div class="float-end">
        {% block pageSaveReturn %}{{ macro.save('email_template_index') }}{% endblock %}
    </div>
    {{ form_end(form) }}
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('enable-popover') }}
{% endblock %}
